| Home | Libraries | People | FAQ | More

##### ssl::basic_context::use_tmp_dh_file (1 of 2 overloads)

Use the specified file to obtain the temporary Diffie-Hellman parameters.

    void use_tmp_dh_file(
        const std::string & filename);

This function is used to load Diffie-Hellman parameters into the context from a file.

###### Parameters

filename

  The name of the file containing the Diffie-Hellman parameters. The file must use the PEM format.

###### Exceptions

boost::system::system_error

  Thrown on failure.